* E Posta Adresiniz:
* Kodu Girin:

İleti Yazar
24.12.2012 13:23
70871    
cagrikara

[3] Kıdemli Girişimci

Online Durumu

33 ileti
Mimar
Trabzon

Bu lispi çalıştırdığımızda autocad command satırında hangi renk koduna çevirilmesini sorması için nasıl bir düzenleme yapabiliriz.

Kod:

(defun c:renk ()
  (command "._setbylayer" (ssget "_x") "" "yes" "yes" "._-layer" "color" 8 "*" "")
  (princ))

cagrikara (24.12.2012 13:36 GMT)

24.12.2012 13:46
70873    
Travaci

[70] Editör

Online Durumu

2180 ileti
Teknik Ressam
Konstantinopol

Kod:

(defun c:renk (/ clr)
  (if (setq clr (getint "\nYeni renk kodu:"))
    (progn
      (setvar 'cmdecho 0)
      (command "._setbylayer" (ssget "_x") "" "yes" "yes" "._-layer" "color" clr "*" "")
    )
  ) (princ)
)

Travaci (11.07.2019 13:52 GMT)

24.12.2012 14:20
70878    
cagrikara

[3] Kıdemli Girişimci

Online Durumu

33 ileti
Mimar
Trabzon

Çok Teşekkürler istediğim gibi olmuş

04.04.2018 14:47
86207    
halilozcakir

[10] Üstad

Online Durumu

553 ileti
Mekanik Teknik Ressam /Teniker
İstanbul

Arkadaşlar merhaba,
Layer rengi ile alakalı bir talebim olacak eğer mümkünse şöyle ki ;
layout ile çalışılmış her viewport içinde layer renkleri değiştirilmiş VP Color
bunları modeldeki renklere çevirmek için ,
her viewport içinde layer maneger açıp tüm layerları seçip sağ klik Remove viewport overrides for > All layer s > In all viewports tıklayarak VP color u modelde de kullanılan color a çekiyorum.

BYL isimli bir lisp vardı bloklarda yada nerede olursa olsun çizginin tipini rengini kalınlığını set bylayer yapıyordu buna eklenebilir mi ?
bu işlemi yapacak lisp olur mu

05.04.2018 11:57
86211    
ehya

[90] Yönetici

Online Durumu

3270 ileti
Teknik Ressam
Ankara

halilozcakir




Böyle bir lispe gerek var mı?
Model düzleminde iken VPLAYEROVERRIDESMODE komutunu çalıştırın ve değerini 0 yapın.
Layout düzlemine geçtiğinizde model düzlemindeki renkler layout'da görünecektir.

11.07.2019 13:32
87482    
halilozcakir

[10] Üstad

Online Durumu

553 ileti
Mekanik Teknik Ressam /Teniker
İstanbul

Eyvallah,bu kadar basitmiş demek ki daha autocad de öğrenecek çok şey varmış,
İLAVE soru yukarıdaki komutu girdik fakat genede durum aynı böyle olunca nereleri kontrol etmek gerekli.

> 1 <
Copyright © 2004-2019 | Tüm Hakları Saklıdır | 2129 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam | İletişim